// #define DEBUG
#include "error.h"

#include <stdlib.h>
#include <string.h>
#include "Load_Texture.h"
#include "task_texture.h"
#include "Func.h"

SchedDefineTask(LoadTexture);

/**
 * 「Load」といいながら、結局 DrawSpan で使う
 * Hash の準備だけなので、名前変えないとなー
 */
static int
run(SchedTask *smanager, void *rbuf , void *wbuf)
{
    __debug_spe("LoadTexture\n");

    MemList *ml = smanager->createMemList(sizeof(uint32) * TEXTURE_BLOCK_SIZE, MAX_TILE);
    smanager->global_set(GLOBAL_TILE_LIST, (void *)ml);

    // smanager->printf("%d\n",GLOBAL_TILE_LIST);

    return 0;
}
